components:
  schemas:
    CollectionCapabilities_v1_1_1_Capability:
      additionalProperties: false
      description: This type describes a specific capability of a collection for a
        given use case.
      properties:
        CapabilitiesObject:
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_idRef
          description: Reference to the resource the client may GET to in order to
            understand how to form a POST request for a given collection.
          readOnly: true
          x-longDescription: The value of this property shall be a reference to a
            Resource that matches the type for the given collection and shall contain
            annotations that describe the properties allowed in the POST request.
        Links:
          $ref: '#/components/schemas/CollectionCapabilities_v1_1_1_Links'
          description: Contains references to other resources that are related to
            this resource.
          x-longDescription: The Links property, as described by the Redfish Specification,
            shall contain references to resources that are related to, but not contained
            by (subordinate to), this resource.
        UseCase:
          $ref: '#/components/schemas/CollectionCapabilities_v1_1_1_UseCase'
          description: This property represents the use case in which a client may
            issue a POST request to the collection.
          readOnly: true
          x-longDescription: The value of this property shall be an enumerated value
            describing the use case for this capability instance.
      required:
      - CapabilitiesObject
      - UseCase
      - Links
      type: object
      x-longDescription: This type shall describe a specific capability of a collection
        in terms of how a client is able to create new resources within the collection
        for the specified use case.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    CollectionCapabilities_v1_1_1_CollectionCapabilities:
      additionalProperties: false
      description: This type describes the capabilities of a collection.
      properties:
        Capabilities:
          description: This property contains the list of capabilities supported by
            this resource.
          items:
            $ref: '#/components/schemas/CollectionCapabilities_v1_1_1_Capability'
          type: array
          x-longDescription: The value of this property shall be an array of Capability
            structures.
      type: object
      x-longDescription: This type shall describe any capabilities of a collection
        in terms of how a client is able to create new resources within the collection.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    CollectionCapabilities_v1_1_1_Links:
      additionalProperties: false
      description: Contains references to other resources that are related to this
        resource.
      properties:
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: Oem extension object.
          x-longDescription: This object represents the Oem property.  All values
            for resources described by this schema shall comply to the requirements
            as described in the Redfish specification.
        RelatedItem:
          description: The ID(s) of the resources associated with this capability.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_idRef
          readOnly: true
          type: array
          x-longDescription: The value of this property shall be an array of IDs containing
            pointers consistent with JSON pointer syntax to the resource that is related
            to this capability.
        RelatedItem@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_count
        TargetCollection:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_ResourceCollection
          description: Reference to the collection that this capabilities structure
            is describing.
          readOnly: true
          x-longDescription: The value of this property shall be a reference to a
            Resource Collection that this structure is describing.  This structure
            may be used by a client in order to understand how to form the POST request
            for the given collection.
      required:
      - TargetCollection
      type: object
      x-longDescription: This type, as described by the Redfish Specification, shall
        contain references to resources that are related to, but not contained by
        (subordinate to), this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    CollectionCapabilities_v1_1_1_UseCase:
      enum:
      - ComputerSystemComposition
      - ComputerSystemConstrainedComposition
      - VolumeCreation
      type: string
      x-enumDescriptions:
        ComputerSystemComposition: This capability describes a client creating a new
          ComputerSystem instance from a set of disaggregated hardware.
        ComputerSystemConstrainedComposition: This capability describes a client creating
          a new ComputerSystem instance from a set of constraints.
        VolumeCreation: This capability describes a client creating a new Volume instance
          as part of an existing storage subsystem.
      x-enumVersionAdded:
        ComputerSystemConstrainedComposition: v1_1_0
title: '#CollectionCapabilities.v1_1_1'
x-copyright: Copyright 2014-2018 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2018.2'
